FOR TIPS, gUIDES & TUTORIALS

subscribe to our Youtube

GO TO YOUTUBE

14455 questions

17168 answers

28195 comments

0 members

We are migrating to our new platform at https://community.teltonika.lt. Moving forward, you can continue discussions on this new platform. This current platform will be temporarily maintained for reference purposes.
0 votes
208 views 2 comments
by anonymous
I am trying to compile the standard firmware using the latest downloaded SDK for RUTX11. I have tried this using the Ubuntu/ Docker method with both 20.04 and 20.04.5 installations newly made expressly for this purpose in Virtual Box. In both cases, the make process ends prematurely with an error related to vuci-app-azure-iothub-ui ('no rule to make target "plugin"'). I would be quite happy to exclude this element from the build but find that the menu does not permit this component to be deselected.

I have attached the relevant portion of the verbose logfile suggested by the system.

Andrew

1 Answer

0 votes
by anonymous
Hello,

  

It seems like the logs were not attached.

Additionally, could you comment if there were any more changes made to the firmware before compiling or if this is completely standard firmware?

  

Best regards,
DaumantasG
by anonymous

Sorry, I thought I had attached logfiles and have now done this. The attempt was to compile standard firmware without changes but I had looked at the menu options and the vuci-app-azure-iothub entry was enclosed in {} unlike the usual [] and was not possible to deselect. However, I had already experienced the error from this component on a previous run before I started to look at removing it. The error was repeated identically on a separate VM.

Thanks,

Andrew

https://community.teltonika-networks.com/?qa=blob&qa_blobid=435542061880648525 

https://community.teltonika-networks.com/?qa=blob&qa_blobid=6696315279908986033

by anonymous

Hello,

  

Tested compilation on WSL running Ubuntu 20.04 LTS, and the Azure IoT Hub packages compiled as intended:

Please try deleting the folder, and try again.

Make sure to install all the needed packages and update the feeds as described in the instructions.

  

Best regards,
DaumantasG